Blacklist Import History

GET/api/v3/blacklist-contacts/import/list

Base URL https://api.easify.liveBearer token and Accept header required Authentication →

This endpoint is used to retrieve blacklist import history.

There is a rate limit of 60 requests per minute per API token. This limit is shared by all API endpoints except those with their own separate limit (/api/v2/sms/send, /api/v3/sms/send, etc.), so requests to other endpoints also count toward it. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.

Query Parameters

limit integer Pagination for the list
Default: 10
Minimum: 1, Maximum: 50
Optional
page integer The page number for paginated data
Default: 1
Optional

Example Request and Response

params

{
  "page": 2,
  "limit": 10
}

Success Response:

{
  "status": true,
  "message": "Blacklist contact import history",
  "data": [
    {
      "id": 98,
      "file_name": "blacklist_import_10000.csv",
      "status": "In Progress",
      "progress_percentage": 0,
      "total_count": 10000,
      "skipped_count": 0,
      "stored_count": 0,
      "created_at": "07-22-2025 05:36:33 AM"
    },
    {
      "id": 89,
      "file_name": "blacklist_import.csv",
      "status": "Completed",
      "progress_percentage": 0,
      "total_count": 2,
      "skipped_count": 0,
      "stored_count": 2,
      "created_at": "07-22-2025 02:18:40 AM"
    },
    {
      "id": 89,
      "file_name": "skipped_numbers.csv",
      "status": "Failed",
      "progress_percentage": 0,
      "total_count": 10,
      "skipped_count": 0,
      "stored_count": 2,
      "created_at": "07-22-2025 02:18:40 AM"
    }
  ],
  "links": {
    "self": "link-value",
    "first": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=1",
    "last": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=2",
    "prev": null,
    "next": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "links": [
      {
        "url": null,
        "label": "« Previous",
        "active": false
      },
      {
        "url": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=1",
        "label": "1",
        "active": true
      },
      {
        "url": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=2",
        "label": "2",
        "active": false
      },
      {
        "url": "https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=2",
        "label": "Next »",
        "active": false
      }
    ],
    "path": "https://api.easify.live/api/v3/blacklist-contacts/import/list",
    "per_page": 10,
    "to": 10,
    "total": 13
  }
}

Responses

Case Status Code Response
If the user does not provide a token in the header or provides an invalid token 401 { "status":false, "message": "Unauthenticated", "errors": [] }
If the user exceeds the allowed rate limit for requests 429 { "status":false, "message":"Too many requests. Try again in 59 seconds", "errors":[] }
If the user's subscription has ended 402 { "status":false,"message":"You need to recharge your account to proceed","errors":[] }
If the limit exceeds maximum value 422 { "message": "The limit field must not be greater than 50.", "errors": { "limit": [ "The limit field must not be greater than 50." ] } }
If the limit is less than minimum value 422 { "message": "The limit field must be at least 1.", "errors": { "limit": [ "The limit field must be at least 1." ] } }
When the user account is inactive 403 { "status": false, "message": "Your account is currently inactive.", "errors": [] }
If the request comes from an IP address or domain that is not on the account's API whitelist 400 { "status": false, "message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]", "errors": [] }

Code Examples

List blacklist imports
php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => 'https://api.easify.live/api/v3/blacklist-contacts/import/list?limit=10&page=2',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => [
    'Authorization: Bearer <>',
    'Accept: application/json',
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;